--- title: "addLoadBalancerSslCertificate (Deprecated)" slug: "networking-loadbalancing-addloadbalancersslcertificate" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-loadbalancing-addloadbalancersslcertificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addLoadBalancerSslCertificate (Deprecated) Available in Classic Add a SSL certificate used by a load balancer. Note Since the addLoadBalancerSslCertificate API has been deprecated, use [createExternalCertificate](/docs/en/security-certificatemanager-createexternalcertificate). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /addLoadBalancerSslCertificate | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-loadbalancing#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateName` | String | Required | Name of certificate to add to the load balancer | | `privateKey` | String | Required | Certificate secret key | | `publicKeyCertificate` | String | Required | Certificate public key | | `certificateChain` | String | Optional | Chain certificate - Required if a chain certificate is included among issued certificates | ### Request example The request example is as follows: ``` curl --location --request POST 'https://ncloud.apigw.ntruss.com/loadbalancer/v2/addLoadBalancerSslCertificate?certificateName=YOUR_CERTIFICATE&privateKey=YOUR_PRIVATE_KEY&publicKeyCertificate=YOUR_PUBLIC_KEY' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body See [SslCertificate](/docs/en/common-apidatatype-sslcertificate) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-loadbalancing#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` 3c860c5d-10b0-464d-b7da-c464ae31c042 0 success 1 YOUR_CERTIFICATE YOUR_PRIVATE_KEY YOUR_PUBLIC_KEY ``` ### Response status codes The following describes the response status codes. | HTTP status code | Code | Message | Description | | --- | --- | --- | --- | | 400 | 26036 | Not found certificateName OR privateKey OR publicKeyCertificate Please check your input parameter. | Unable to find the certificate name or the certificate's secret/public key | | 400 | 26041 | The certificate name already existent. | Certificate name can't be duplicated. |